### Method

# Soup Session get_async_result_message

#### Declaration [src]

    SoupMessage*
    soup_session_get_async_result_message (
      SoupSession* session,
      GAsyncResult* result
    )

#### Description [src]

Gets the `SoupMessage` of the `result` asynchronous operation This is useful to get the `SoupMessage` of an asynchronous operation started by `session` from its `GAsyncReadyCallback`.

#### Parameters

`result` | `GAsyncResult`
| The `GAsyncResult` passed to your callback.
| The data is owned by the caller of the function.

#### Return value

Returns: | `SoupMessage`
| A `SoupMessage` or `NULL` if `result` is not a valid `session` async operation result.
| The data is owned by the instance.
| The return value can be `NULL`.